<template>
	<view class="container">
		<navBar :show-title="true" title="模式说明" url="/pages/index/index"></navBar>
		<view class="text-center">
			<image class="contentImg" src="../../static/img/indexInfo.png" mode="widthFix"></image>
		</view>
	</view>
</template>

<script>
	import {
		mapMutations
	} from "vuex";
	import {
		getUserInfo
	} from '@/api/user.js';
	import navBar from "@/components/nav/nav.vue"
	export default {
		data() {
			return {}
		},
		components: {
			navBar
		},
		onLoad(option) {
			this.getUserInfo();
		},
		methods: {
			...mapMutations('user', ['setUserInfo']),
			// 获取更新用户信息
			getUserInfo() {
				getUserInfo().then((res) => {
					this.setUserInfo(res.data);
				}).catch((res) => {
					console.log(res);
				})
			},
		},
	}
</script>

<style lang="scss">
	.contentImg {
		margin: 0 auto;
		width: 686rpx;
	}


	.container {
		width: 100%;
		line-height: 1;
		background-color: rgb(12, 8, 21);
		min-height: 100vh;
	}
</style>